{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program minimo_maximo_03;
    // Muestra la posición de los valores mínimo y máximo 
    // en un vector. 
 
const
    TamanioVector = 4;
type
    TipoVector = array[1..TamanioVector] of real;

procedure minimo_maximo( vector: TipoVector; var pos_min, pos_max : integer); 
var
    i : integer;
begin
    pos_min := 1;
    pos_max := 1;
    for i := 2 to TamanioVector do begin
        if vector[i] < vector[pos_min] then begin
            pos_min := i;
        end
        else if vector[i] > vector[pos_max] then begin
            pos_max := i;
        end;
    end;
end;

const
    vector_prueba: TipoVector = (93.0, 87.4, 91.3 , 86.2);
var
    pos_min, pos_max : integer;

begin
    if TamanioVector < 2 then
        writeln('El vector ha de tener al menos dos elementos')
    else begin
        minimo_maximo(vector_prueba, pos_min, pos_max);
        write('Posición del mínimo: ', pos_min);
        writeln(' Posición del Máximo: ', pos_max);
    end;
end.
